test/dummy/bin/setup in ui_bibz-2.5.6 vs test/dummy/bin/setup in ui_bibz-3.0.0.alpha2
- old
+ new
@@ -1,31 +1,35 @@
#!/usr/bin/env ruby
# frozen_string_literal: true
-require 'pathname'
+require 'fileutils'
# path to your application root.
-APP_ROOT = Pathname.new File.expand_path('..', __dir__)
+APP_ROOT = File.expand_path('..', __dir__)
-Dir.chdir APP_ROOT do
- # This script is a starting point to setup your application.
- # Add necessary setup steps to this file:
+def system!(*args)
+ system(*args) || abort("\n== Command #{args} failed ==")
+end
+FileUtils.chdir APP_ROOT do
+ # This script is a way to setup or update your development environment automatically.
+ # This script is idempotent, so that you can run it at anytime and get an expectable outcome.
+ # Add necessary setup steps to this file.
+
puts '== Installing dependencies =='
- system 'gem install bundler --conservative'
- system 'bundle check || bundle install'
+ system! 'gem install bundler --conservative'
+ system('bundle check') || system!('bundle install')
# puts "\n== Copying sample files =="
- # unless File.exist?("config/database.yml")
- # system "cp config/database.yml.sample config/database.yml"
+ # unless File.exist?('config/database.yml')
+ # FileUtils.cp 'config/database.yml.sample', 'config/database.yml'
# end
puts "\n== Preparing database =="
- system 'bin/rake db:setup'
+ system! 'bin/rails db:prepare'
puts "\n== Removing old logs and tempfiles =="
- system 'rm -f log/*'
- system 'rm -rf tmp/cache'
+ system! 'bin/rails log:clear tmp:clear'
puts "\n== Restarting application server =="
- system 'touch tmp/restart.txt'
+ system! 'bin/rails restart'
end